﻿.form-wrapper {
    width: 80%;
    margin: auto;
    padding: 30px;
    position: relative;
    border: 1px solid var(--form-wrapper-border-color);
}

@media screen and (max-width:767px) {
    .form-wrapper {
        width: 100%;
    }
}

.form-wrapper > h3,
.form-wrapper .step > h3 {
    font-family: var(--form-font-family);
    font-size: 26px;
    text-align: center;
    text-transform: uppercase;
    background: var(--from-h3-background-color);
    color: var(--form-h3-color);
    display: block;
    padding: 8px 15px 10px 15px;
    margin: 0;
    line-height: 26px;
    position: absolute;
    top: -10px;
    left: 30px;
    -moz-box-shadow: 1px 1px 3px rgba(0,0,0,0.3);
    -webkit-box-shadow: 1px 1px 3px rgba(0,0,0,0.3);
    box-shadow: 1px 1px 3px rgba(0,0,0,0.3);
    -webkit-border-bottom-left-radius: 3px;
    border-bottom-left-radius: 3px;
    -webkit-border-bottom-right-radius: 3px;
    border-bottom-right-radius: 3px;
}

.form-row {
    /*margin: 0 0 10px 0;*/
    margin: 15px 0;
    position:relative;
}

.form-row_6{
    width:50%;
}

.form-row--flex {
    display:flex;
    align-items:center;
}


@media screen and (max-width:768px) {
    .form-row_6 {
        width:100%;
    }
}

.form-row label {
    font-size: 1em;
    text-align: left;
    display: block;
    font-family: var(--form-font-family);
}

.form-row label.label--inline{
    display:inline-block;
    margin:0;
}

/*.form-row label.required:after {
    content: "*";
    color: var(--primary-color);
    margin-left: 3px;
}*/

.form-row span.required {
    color: var(--secondary-color);
}

.form-row input,
.form-row textarea,
.form-row select {
    border:none;
    border-bottom: 1px solid var(--form-input-border-color);
    border-radius: 4px 4px 0 0;
    box-shadow:none;
    padding: 5px 10px;
    font-size: 15px;
    width: 100%;
    font-family: var(--form-font-family);
    color: #333;
    background-color:#f8f8f8;
    -moz-transition: all 0.2s;
    -o-transition: all 0.2s;
    -webkit-transition: all 0.2s;
    transition: all 0.2s;
}

.form-row textarea{
    resize:none;
}

.form-row input,
.form-row select {
    height: 40px;
}

.form-row input[type="checkbox"].checkbox-inline {
    display: inline-block;
    height: 15px;
    width: 15px;
    margin: 3px 5px 0 5px;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
    box-shadow: none;
}

/*Placeholder styles. It has to go on individual rules. Repeating the css!*/
.form-row input::-webkit-input-placeholder { /* Chrome/Opera/Safari */
    color: var(--form-input-placeholder-font-color);
    font-weight:100;
    font-style:italic;
}

.form-row input::-moz-placeholder { /* Firefox 19+ */
    color: var(--form-input-placeholder-font-color);
    font-weight: 100;
    font-style: italic;
}

.form-row input:-ms-input-placeholder { /* IE 10+ */
    color: var(--form-input-placeholder-font-color);
    font-weight: 100;
    font-style: italic;
}

.form-row input:-moz-placeholder { /* Firefox 18- */
    color: var(--form-input-placeholder-font-color);
    font-weight: 100;
    font-style: italic;
}


/*Placeholder styles. It has to go on individual rules. Repeating the css!*/
.form-row textarea::-webkit-input-placeholder { /* Chrome/Opera/Safari */
    color: var(--form-input-placeholder-font-color);
    font-weight:100;
    font-style:italic;
}

.form-row textarea::-moz-placeholder { /* Firefox 19+ */
    color: var(--form-input-placeholder-font-color);
    font-weight: 100;
    font-style: italic;
}

.form-row textarea:-ms-input-placeholder { /* IE 10+ */
    color: var(--form-input-placeholder-font-color);
    font-weight: 100;
    font-style: italic;
}

.form-row textarea:-moz-placeholder { /* Firefox 18- */
    color: var(--form-input-placeholder-font-color);
    font-weight: 100;
    font-style: italic;
}

/***************************************************/

.form-row.recaptcha {
    text-align: center;
}

.form-row .g-recaptcha {
    display: inline-block
}

.form-row input:focus,
.form-row textarea:focus,
.form-row select:focus,
.form-row input:hover,
.form-row textarea:hover,
.form-row select:hover{
    -moz-outline: 0;
    outline: 0;
    border-bottom: 1px solid var(--form-input-focus-border-color);
}

.form-row.actions,
.booktable-form-wrapper .form-row.actions{
    text-align: center;
    margin-top: 30px;
    margin-bottom: 15px;
    margin-left: auto;
    margin-right: auto;
    display: block;
    clear:both;
}

.form-row.actions button,
.form-row.actions a.btn {
    /*text-transform: uppercase;*/
    padding: 10px 10px 10px 10px;
    font-size: 18px;
    min-width: 49%;
    text-align: center;
    text-decoration: none;
    border: none;
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
    border-radius: 2px;
    /*-moz-box-shadow: 0 2px 2px 0 rgba(0,0,0,0.16), 0 0 0 1px rgba(0,0,0,0.08);*/
    /*-webkit-box-shadow: 0 2px 2px 0 rgba(0,0,0,0.16), 0 0 0 1px rgba(0,0,0,0.08);*/
    /*box-shadow: 0 2px 2px 0 rgba(0,0,0,0.16), 0 0 0 1px rgba(0,0,0,0.08);*/
    -moz-transition: all 275ms cubic-bezier(0.4,0.0,0.2,1);
    -o-transition: all 275ms cubic-bezier(0.4,0.0,0.2,1);
    -webkit-transition: all 275ms cubic-bezier(0.4,0.0,0.2,1);
    transition: all 275ms cubic-bezier(0.4,0.0,0.2,1);
    font-family: var(--form-font-family);
    background-color: var(--form-button-background-color);
    color: var(--form-button-text-color);
}

.form-row.actions button.btn-default,
.form-row.actions a.btn.btn-default {
    color: #FFF;
}

.form-row.actions button.button__loading {
    padding-right:30px;
    position:relative;
}

.button__loading-icon {
    position: absolute;
    right: 20px;
    font-size: 18px;
    top: 0;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.form-row.actions button[type="submit"],
.form-row.actions .btn.btn-primary {
    background-color: var(--secondary-color);
    /*font-weight: 600;*/
}

.form-row.actions button:hover {
    -moz-box-shadow: 0 3px 8px 0 rgba(0,0,0,0.2), 0 0 0 1px rgba(0,0,0,0.08);
    -webkit-box-shadow: 0 3px 8px 0 rgba(0,0,0,0.2), 0 0 0 1px rgba(0,0,0,0.08);
    box-shadow: 0 3px 8px 0 rgba(0,0,0,0.2), 0 0 0 1px rgba(0,0,0,0.08);
}

.form-row.actions button:focus,
.form-row.actions button:active {
    outline: 0;
}

.form-row.actions button[name=login],
.form-row.actions button[name=signup] {
    color: #FFFFFF;
    background: #9FCE20;
}

.form-row.actions button[name=close] {
    background: #FFFFFF;
    color: #4a4e54;
}

/*Styles for currency input field. Class on the wrapping div as input do not have ::after and ::before*/
.form-row.currency {
    position:relative;
}

.form-row.currency input[type="text"] {
    padding-left: 50px;
}

.form-row.currency .currency-symbol {
    display: inline-flex;
    position: absolute;
    left: 1px;
    top: 26px;
    height: 38px;
    width: 38px;
    align-items: center;
    justify-content: center;
    background: var(--form-input-border-color);
}

.form-row.currency .currency-symbol i {
    color: var(--form-input-text-color);
    font-size: 22px;
}


/*Individual field validation*/
label.error {
    display: block;
    position: absolute;
    right: 0;
    background: #f9e5e6;
    padding: 5px 15px 6px 15px;
    -moz-border-radius: 16px;
    -webkit-border-radius: 16px;
    border-radius: 16px;
    top: -12px;
    -webkit-animation: pop 0.2s ease-in 1;
    -moz-animation: pop 0.2s ease-in 1;
    -o-animation: pop 0.2s ease-in 1;
    animation: pop 0.2s ease-in 1;
    -o-animation-fill-mode: forwards;
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
    -moz-animation-delay: 0.1s;
    -o-animation-delay: 0.1s;
    -webkit-animation-delay: 0.1s;
    animation-delay: 0.1s;
    -moz-transform-origin: bottom right;
    -ms-transform-origin: bottom right;
    -o-transform-origin: bottom right;
    -webkit-transform-origin: bottom right;
    transform-origin: bottom right;
    -moz-transform: scale(0);
    -ms-transform: scale(0);
    -o-transform: scale(0);
    -webkit-transform: scale(0);
    transform: scale(0);
    -moz-opacity: 0;
    opacity: 0;
    -moz-box-shadow: 0 2px 4px 0 rgba(0,0,0,0.2);
    -webkit-box-shadow: 0 2px 4px 0 rgba(0,0,0,0.2);
    box-shadow: 0 2px 4px 0 rgba(0,0,0,0.2);
    border: 1px solid #f1c1c3;
    color: var(--alert-danger);
    font-weight: 400;
    z-index:10;
}

.input-group label.error {
    top:-40px;
}

label.error:after {
    content: "";
    width: 0;
    height: 0;
    border-left: 7px solid transparent;
    border-right: 7px solid transparent;
    border-top: 12px solid #f1c1c3;
    position: absolute;
    bottom: -13px;
    right: 14px;
    z-index: 1;
}

label.error:before {
    content: "";
    width: 0;
    height: 0;
    border-left: 7px solid transparent;
    border-right: 7px solid transparent;
    border-top: 12px solid #f9e5e6;
    position: absolute;
    bottom: -11px;
    right: 14px;
    z-index: 2;
}

input.error {
    font-weight: normal;
}

.form-row i.fa.fa-exclamation-circle,
.form-row i.fa.fa-check {
    position: absolute;
    top: 35px;
    right: 10px;
    font-size: 25px;
    z-index:10;
}

.form-row i.fa.fa-exclamation-circle {
    color:var(--alert-danger);
}

.form-row i.fa.fa-check {
    color: var(--form-validation-valid-color);
}

/*Validation*/
.error-summary {
    display: none;
    border: 1px solid var(--form-validation-error-background-color);
    -webkit-box-shadow: inset 1px 1px 5px 0px rgba(0,0,0,0.1);
    -moz-box-shadow: inset 1px 1px 5px 0px rgba(0,0,0,0.1);
    box-shadow: inset 1px 1px 5px 0px rgba(0,0,0,0.1);
    padding: 8px;
    font-family: 'oswaldregular', sans-serif;
    font-size: 13px;
    font-weight: 100;
    margin-top: 15px;
    padding: 10px 15px;
    color: var(--form-validation-error-background-color);
    text-align: center;
    background: rgba(249, 192, 159,0.2);
}

.error-summary.success-summary {
    border: 1px solid #9FCE20;
    color: #9FCE20;
    background: rgba(238, 248, 211,0.2);
}

.error-list {
    margin: 0;
    padding: 0;
    list-style-type: none;
}

.error-list li {
    margin: 4px 0px;
}

.exhibitor-form-send-msg {
    position: relative;
    top: -8px;
}

/*Nomination Entry*/
h1.h1-form-page-title{
    border-bottom: 2px solid var(--primary-color);
    font-family: var(--form-font-family);
    text-transform: uppercase;
    color: var(--primary-color);
    padding-bottom: 0px;
    font-size:34px;
}

p.deadline {
    text-align: center;
    font-family: var(--form-font-family);
    font-size: 17px;
    display: block;
    margin: 0 auto;
    border: 2px solid var(--secondary-color);
    width: 100%;
    max-width: 200px;
    padding: 10px;
    color: var(--secondary-color);
    margin-top: 5px;
    margin-bottom: 10px;
}

.main-hidden-content-wrapper{
    overflow:hidden;
    width:100%;
    max-width:700px;
    margin:auto;
}

.main-hidden-content-wrapper.full-width{
    max-width:100%;
}

.form-wrapper.nomination-form-wrapper {
    width: 100%;
    margin-top: 20px;
}

.form-wrapper.nomination-form-wrapper h3{
    top:-60px;
    left:0;
}

.category-criteria,
.step-description {
    padding: 20px;
    border: 1px solid var(--form-info-border-color);
    background-color: var(--form-info-background-color);
    color: var(--form-info-text-color);
    border-radius: 2px;
    text-align: left;
}

.step-description {
    margin-top:20px;
}

.step-description.description-success{
    font-family:var(--form-font-family);
    display:block;
    text-align:center;
}

.step-description.description-success h3 {
    margin-top: 0;
    margin-bottom: 15px;
    font-size: 28px;
}

.step-description.description-success p {
    font-size:17px;
    font-weight:300;
}

span.normal-font,
.step-description.description-success a {
    font-weight: normal;
}

.category-criteria {
    display: none;
}

.step {
    display: none;
    position: relative;
}

.step.current{
    display:block;
}

.step-btn i[class*=fa-arrow] {
    position: relative;
    bottom: 1px;
    font-size: 17px;
}

.step-btn i.fa-arrow-left {
    right: 10px;
}

.step-btn i.fa-arrow-right {
    left: 10px;
}


/*Progress tracker*/
.progress-tracker {
    display: table;
    width: 100%;
    margin-top:20px;
}

ul.progress-tracker-list{
    list-style-type: none;
    padding: 0;
    margin: 0;
    width: 100%;
    display: block;
    font-size: 0;
    display: table-row;
}

li.progress-tracker-step {
    text-align: center;
    padding: 45px 0 20px 0;
    margin: 0;
    font-size: 14px;
    display: table-cell;
    width: 20%;
    position: relative;
}

li.progress-tracker-step::after {
    content: '';
    height: 2px;
    width: 100%;
    background: #cccccc;
    position: absolute;
    top: 53px;
    left: 0;
}

li.progress-tracker-step:first-child::after{
    width:50%;
    left:50%;
}

li.progress-tracker-step:last-child::after{
    width:50%;
    left:0;
}

span.step-number {
    font-family: var(--form-font-family);
    padding: 5px 12px 5px 12px;
    border: 2px solid #ccc;
    text-align: center;
    border-radius: 2px;
    font-size: 13px;
    position: relative;
    z-index: 10;
    background: #FFF;
}

span.step-name {
    position: absolute;
    top: 0;
    display: inline-block;
    width: 100%;
    left: 0;
    animation: pop 0.2s ease-in 1;
    animation-fill-mode: forwards;
    animation-delay: 0.1s;
    transform-origin: bottom center;
    transform: scale(0);
    opacity: 0;
    display:none;
}

span.step-name > span{
    font-family: var(--form-font-family);
    margin: auto;
    border: 1px solid #ccc;
    padding: 3px 10px 5px 10px;
    background: #ccc;
    color: #FFF;
    border-radius: 2px;
}

span.step-name > span::after{
    position: absolute;
    content: '';
    height: 0;
    width: 0;
    border: 5px solid transparent;
    border-top: 10px solid #CCC;
    bottom: -20px;
    left: calc(50% - 5px);
}


span.step-number.active {
    background: var(--primary-color);
    color: #FFF;
}

span.step-number.active + span.step-name {
    display:block;
}


/*Book a table*/
.booktable-form-wrapper.form-wrapper {
    width:90%;
    margin-top:30px;
}

.booktable-form-wrapper.form-wrapper .step > h3 {
    top: -60px;
    left: 0;
}

.booktable-form-wrapper.form-wrapper .step > h3.no-description {
    top: -40px;
}

.booktable-form-wrapper .step {
    text-align:center;
}

.booktable-form-wrapper .form-row {
    margin: 15px 0.5% 0px 0.5%;
    position: relative;
    width: 48%;
    display: inline-block;
}

.booktable-form-wrapper .form-row.actions{
    margin-bottom:0px;
}

@media screen and (max-width:767px) {
    .booktable-form-wrapper .form-row {
        margin: 22px 0;
        position: relative;
        width: 100%;
        display: block;
    }
}

p.deadline.date-hotel {
    max-width:300px;
}

.package-container {
    text-align:center;
    padding-top:15px;
}

.package-card {
    width: 50%;
    display: inline-block;
    max-width: 290px;
    margin: 15px 15px 0 15px;
    -webkit-transition: all 0.2s;
    transition: all 0.2s;
    position:relative;
}

a.package-card {
    text-decoration: none;
    color: #333;
    cursor: pointer;
}

a.package-card.selected{
    -moz-box-shadow: 0 4px 10px rgba(0,0,0,0.2);
    -webkit-box-shadow: 0 4px 10px rgba(0,0,0,0.2);
    box-shadow: 0 4px 10px rgba(0,0,0,0.2);
}

a.package-card.selected::after{
    content: "\f00c";
    font-family: 'Font Awesome 5 Pro';
    font-size: 22px;
    position: absolute;
    top: -10px;
    right: -10px;
    border-radius: 50%;
    padding: 5px 10px;
    border: 2px solid var(--primary-color);
    background-color: var(--primary-color);
    color: #FFF;
    box-shadow: 0 3px 8px rgba(0,0,0,0.4);
}

.package-card:hover {
    -moz-box-shadow: 0 4px 8px rgba(0,0,0,0.2);
    -webkit-box-shadow: 0 4px 8px rgba(0,0,0,0.2);
    box-shadow: 0 4px 8px rgba(0,0,0,0.2);
}

.package-card .panel,
.package-card .panel-heading,
.package-card .panel-footer{
    border-radius:0;
}

.package-card .panel{
    -moz-box-shadow:none;
    -webkit-box-shadow:none;
    box-shadow:none;
    margin:0;
}

.package-card .panel-body{
    text-align:left;
    padding:30px 20px;
}

.package-card .panel-body ul li{
    margin:5px 0;
}

.package-card .panel-heading h3 {
    margin: 15px 0;
    font-family: var(--form-font-family);
}

label[for="CopyData"] {
    cursor:pointer;
}

#SelectedPackageFakeLabel {
    padding: 5px 10px;
    font-size: 15px;
    text-align: left;
    display: block;
    font-family: var(--form-font-family);
    margin: 0;
    display: inline-block;
    border-bottom: 1px solid #ccc;
    color: #61656b;
    font-weight: normal;
    width: 100%;
    text-shadow: 0 0 black;
    cursor: pointer;
    font-style: italic;
    transition: all 0.2s;
}

#SelectedPackageFakeLabel:hover{
    color:#333;
    border-color:#333;
}

.table-cancellation-policy {
    background: #EDEDED;
    margin-top: 30px;
    padding: 15px 30px;
    border: 1px solid #DEDEDE;
    border-radius: 2px;
    font-family: var(--form-font-family);
    color: #000;
}

p.light {
    font-weight:100;
}

/**Posting form waiting spinner*/
.loading-wrap {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    display: table;
    width: 100%;
    height: 100%;
    background-color: rgba(255,255,255,0.4);
}

.loading-wrap > i.fa-spin{
    display: table-cell;
    vertical-align: middle;
    text-align: center;
    color:var(--primary-color);
}

/**Error posting form*/
.form-post-error {
    display: block;
    width: 100%;
    max-width: 450px;
    border: 2px solid #a9323a;
    padding: 10px;
    color: #fff;
    text-align: center;
    font-family: var(--form-font-family);
    font-size: 15px;
    position: relative;
    background: #a9323a;
    margin: 0 auto;
}

.form-post-error > a {
    text-decoration: underline;
    color: #74a9d8;
}


/*Jquery Ui datepicker styles*/
#ui-datepicker-div {
    font-family: Oswald;
}

#ui-datepicker-div.ui-widget{
    width: 20em;
    padding: 5px 10px;
    border-color: #EEEEEE;
    box-shadow: 0 6px 18px rgba(0,0,0,0.3);
}

.ui-widget-content .ui-state-default{
    border: 1px solid var(--primary-color);
    background: var(--primary-color);
    font-weight: normal;
    color: #fff;
    border-radius: 12px;
    text-align: center;
    font-size: 14px;
    transition:all 0.2s;
}

.ui-widget-content .ui-state-highlight {
    border: 1px solid var(--secondary-color);
    background: #fffa90;
    color: var(--secondary-color);
}

.ui-widget-content .ui-state-default:hover, .ui-state-active, .ui-widget-content .ui-state-active {
    background: #FFF;
    color: var(--primary-color);
}

.ui-datepicker .ui-datepicker-header {
    position: relative;
    padding: 10px 0;
    top: -5px;
    border: none;
    margin-left: -5px;
    margin-right: -5px;
    border-radius: 0;
    background: #FFF;
}

.ui-datepicker .ui-datepicker-title select {
    font-size: 1em;
    font-family: Oswald;
    padding: 2px 4px;
    margin: 2px;
}

.ui-datepicker .ui-datepicker-prev, .ui-datepicker .ui-datepicker-next,
.ui-datepicker .ui-datepicker-prev.ui-datepicker-prev-hover, .ui-datepicker .ui-datepicker-next.ui-datepicker-next-hover {
    top: 14px;
    background:#FFFFFF;
    border:none;
    transition:all 0.2s;
    cursor:pointer;
    text-decoration:none;
}

.ui-datepicker .ui-datepicker-prev span, .ui-datepicker .ui-datepicker-next span{
    background:none;
}

.ui-datepicker .ui-datepicker-prev::after,
.ui-datepicker .ui-datepicker-next::after{
    font-family: 'Font Awesome 5 Pro';
    position: absolute;
    font-weight:300;
    top: -4px;
    font-size:24px;
    color:var(--secondary-color);
}

.ui-datepicker .ui-datepicker-prev::after{
    content: '\f0a8';
    left: 2px;
}

.ui-datepicker .ui-datepicker-next::after {
    content: '\f0a9';
    right: 2px;
}